Subject: [PATCH v2 0/6] ARM: BCM5301X: add Meraki MR32 series

From: Christian Lamparter <[email-masked]>
Date: Sat, 22 Aug 2020 18:19:17 +0200

Hello,

I've been holding on to this devices dts' for a while now.
But since the HW has been running with versions of these
patches for more than a year, I do think I should make it
available in upstream in order to move on.

Hardware-Info of the Meraki MR32:

This is a dual-band enterprise class 802.11ac access point.
The unit was donated by Chris Blake. Thank you!
    
SoC:    Broadcom BCM53016A1 (1 GHz, 2 cores)
RAM:    128 MiB
NAND:   128 MiB Spansion S34ML01G2 (~114 MiB useable)
ETH:    1GBit Ethernet Port - PoE
WIFI1:  Broadcom BCM43520 an+ac (2x2:2 - id: 0x4352)
WIFI2:  Broadcom BCM43520 bgn (2x2:2 - id: 0x4352)
WIFI3:  Broadcom BCM43428 abgn (1x1:1 - id: 43428)

So far, the remaining TODOs center around the pinctrl,
i2c and WIFI. The I2C is implemented with the bit-banged
i2c-gpio driver as the SoC's I2C didn't budge after
many hours of trying.

A patch that included the "meraki" vendor-prefix has
been broken out of the series as recommended by
Florian Fainelli. Here's the link:
<https://lists.ozlabs.org/pipermail/linuxppc-dev/2020-August/216949.html>

Cheers,
Christian

Christian Lamparter (6):
  dt-bindings: ARM: add bindings for the Meraki MR32
  ARM: dts: BCM5301X: Specify PWM in the DT
  ARM: dts: BCM5301X: Specify uart2 in the DT
  ARM: dts: BCM5301X: Specify pcie2 in the DT
  MAINTAINERS: extend BCM5301X ARM ARCHITECTURE files
  ARM: BCM5301X: Add DT for Meraki MR32

 .../bindings/arm/bcm/brcm,bcm4708.yaml        |   2 +
 MAINTAINERS                                   |   2 +-
 arch/arm/boot/dts/Makefile                    |   1 +
 arch/arm/boot/dts/bcm53016-meraki-mr32.dts    | 219 ++++++++++++++++++
 arch/arm/boot/dts/bcm5301x.dtsi               |  25 +-
 5 files changed, 246 insertions(+), 3 deletions(-)
 create mode 100644 arch/arm/boot/dts/bcm53016-meraki-mr32.dts

-- 
2.28.0

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel